@charset "utf-8";
/* CSS Document */
/*
	Name: Finami Group Oy
	Date: February 2014
	Description: Layout for my website
	Version: 1.2
	Author: Johnny Perkka
	Author URL: http://www.johnnyperkka.com
*/

/* Imports */
@import url("reset.css");
@import url("global-forms.css");
/* Global */
/* Body */
body {
	background: #fcfcf4;
	color: #fcfcf4;
	font-size: 87.5%; /* Base font size: 14px */
	font-family: 'Trebuchet MS', Trebuchet, 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
	line-height: 1.429;
	margin: 0;
	padding: 0;
	text-align: left;
}
/* Headings */
h1 {font-size: 1.571em}	/* 22px */
h2 {font-size: 1.571em}	/* 22px */
h3 {font-size: 1.429em}	/* 20px */
h4 {font-size: 1.286em}	/* 18px */
h5 {font-size: 1.143em}	/* 16px */
h6 {font-size: 1em}		/* 14px */

h1, h2, h3, h4, h5, h6 {
	font-weight: 400;
	line-height: 1.1;
	margin-bottom: .8em;
	
}
/* Anchors */
a {outline: 0;}
a img {
	border: 0px;
	text-decoration: none;
}
a:link, a:visited {
	color: #ffc000;
	padding: 0 1px;
	text-decoration: none;
	text-shadow: 3px 3px 3px #333;
}
a:hover, a:active {
	background-color: #ffc000;
	color: #A6CFDD;
	text-decoration: none;
	text-shadow: 3px 3px 3px #333;
}

/* Paragraphs */
p {margin-bottom: 1.143em;}
* p:last-child {margin-bottom: 0;}

strong, b {font-weight: bold;}
em, i {font-style: italic;}

::-moz-selection {background: #4d5152; color: #dbdbdb;}
::selection {background: #4d5152; color: #dbdbdb;}


/* Layout */
.body {
	clear: both;
	margin: 0 auto;
	width: 100%;
}

/*	Header */
#banner {
	margin: 0 auto;
	padding: 0 0 0 0;
}
/* Banner */
#banner h1 {
	font-size: 3.571em;
	line-height: .6;
}
#banner h1 a:link, #banner h1 a:visited {
	background: #4d5152;
	color: #dbdbdb;
	display: block;
	font-weight: bold;
	margin: 0;
	text-decoration: none;
	width: 100%;
}
#banner h1 a:hover, #banner h1 a:active {
	background: none;
	color: #A6CFDD;
	text-shadow: none;
}
	
#banner h1 strong {
	font-size: 0.36em; font-weight: normal;
}

/* Main Nav */  
#banner nav {
	background: none;
	position: fixed;
	top: 0;
	font-size:1.6em;
	font-weight: bold;
	height: 90px;
	line-height: 70px;
	margin: 0;
	padding: 30px 0 0 0;
	text-align: center;
	width: 100%;
	
	
	/*border-radius: 5px;
	-moz-border-radius: 5px;
	-webkit-border-radius: 5px; */
}
.liput {
	float: right;
	padding: 0;
	margin-right: 0.8em;
	position: absolute;
	right: 0px;
	top: 30px;
}
#banner nav ul {
	list-style: none;
	margin: 0 auto;
	width: 100%;
}  
#banner nav li {
	float:left;
	display: inline-block;
	margin: 0;
}
  
#banner nav a:link, #banner nav a:visited {
	color: #fcfcf4; 
	display: inline-block; 
	height: 60px; 
	padding: 0px 0.8em; 
	text-decoration: none; 
} 
#banner nav a:hover{
	background: none; 
	color: #A6CFDD; 
	text-shadow: none !important; 
}
#banner nav a:active{
	background: none; 
	color: #ffc000; 
	text-shadow: none !important; 
}
#banner nav .active a:link, #banner nav .active a:visited {
	background: none; 
	color: #ffc000; 
	text-shadow: none !important; 
}
#banner nav li:first-child a {
	/*border-top-left-radius: 5px;
	-moz-border-radius-topleft: 5px;
	-webkit-border-top-left-radius: 5px;
	
	border-bottom-left-radius: 5px;
	-moz-border-radius-bottomleft: 5px;
	-webkit-border-bottom-left-radius: 5px; */
}
	
article {
	margin: 0 auto;
	overflow: hidden;
	width: 1024px;
	background: none;
	padding: 0 0 0 0;
	position: relative;
}
	article section {
				width: 100%;
				float: left;
	}
	
	#post {
		width: 800px;
		float: left;
		background-color: #4d5152;
		margin: 0 10%;
		border-radius: 10px;
		-moz-border-radius: 10px;
		-webkit-border-radius: 10px;
	}
		#post h1	{
		padding: 10px;
		color: #ffc000;
		text-shadow: 3px 3px 3px #333;
		}
			#post .otsake a:link, #post a:visited {
				color: #ffcc00;
				text-decoration: none;
				text-shadow: 3px 3px 3px #333;
			}	
			#post .otsake a:hover, #post a:active {
				color: #fff;
				text-decoration: none;
				text-shadow: 3px 3px 3px #333;
			}
		.tausta {
			float: left;
			padding: 0;
			position: relative;
			top: 0px;
			z-index:-2;
		}
		div.boxi {
			width: 1024px;
			float: left;
			padding: 0;
			height: 120px;
			background-color: #4D5152;
			opacity: 0.6;
			position: fixed;
			top: 0;
			z-index:-1;
		}
		div.loota {
			width: 100%;
			float: left;
			padding: 0;
			height: 120px;
			background-color: #4D5152;
			opacity: 0.4;
			position: relative;
			z-index:-2;
		}
		div.divider {
			width: 1024px;
			float: left;
			top: 10px;
			padding: 10 0 0 10 px;
			height: 40px;
			position: relative;
			margin: auto;
			opacity: 0.4;
			position: relative;
			z-index:-2;
			background-image: url("http://finami.fi/images/spoke.png"); background-repeat: repeat-x;
			border-radius: 10px;
			-moz-border-radius: 10px;
			-webkit-border-radius: 10px;
		}
	.kakkonen {
		overflow: hidden;
		width: 1024px;
		background: none;
		padding: 0;
		position: relative;
		margin: auto;
		z-index:-2;		
	}
			.teksti {
					padding: 10px;
					margin-left: 10px;
					margin-bottom: 20px;
			}
			.tuotteet {
					padding: 10px;
					margin-left: 10px;
					margin-bottom: 20px;
				}

/* Addy */
#addy {
	width: 800px;
	float: left;
	background-color: none;
	color: #4d5152;
	text-shadow: 1px 1px 1px #333;
	margin: 10px 10%;
	border-radius: 10px;
	-moz-border-radius: 10px;
	-webkit-border-radius: 10px;
	font-style: normal;
	margin-bottom: 2em;
	text-align: left;
	
}

#addy .primary {float: left; width: 165px;}
#addy .primary strong {color: #4d5152; display: block; font-size: 1.286em;}
#addy .photo {float: right; margin: 5px 20px;}
#addy .url:link, #about .url:visited {text-decoration: none;}
#addy .bio {float: left; width: 800px;}

/* Footer */
#contentinfo {
	padding: 0.8em;
	text-align: right;
}
.post-info {
	padding-bottom: 0.8em;
	text-align: left
}

/* ===========================
   ====== Contact Form ======= 
   =========================== */



#contact-form {
	width: 800px;
	float: left;
	background-color: #4d5152;
	margin: 0 10%;
	padding: 10px;
	border-radius: 10px;
	-moz-border-radius: 10px;
	-webkit-border-radius: 10px;	
}
	#contact-form h1	{
		color: #ffc000;
		text-shadow: 3px 3px 3px #333;
	}
			#contact-form .otsake a:link, #contact-form a:visited {
				color: #ffcc00;
				text-decoration: none;
				text-shadow: 3px 3px 3px #333;
			}	
			}	
			#contact-form .otsake a:hover, #contact-form a:active {
				color: #fff;
				text-decoration: none;
				text-shadow: 3px 3px 3px #333;
			}
#contact-form input,
#contact-form textarea,
#contact-form label {
	font-size:1.143em;
    margin-bottom:2px;
}
#contact-form input,
#contact-form textarea {
    width:450px;
    border: 1px solid #CEE1E8;
    margin-bottom:20px;
    padding:4px;
}
#contact-form textarea {
	height:150px;
    resize: none;
}	
 
#contact-form input:focus, 
#contact-form textarea:focus {
    border: 1px solid #AFCDD8;
    background-color: #EBF2F4;
}
 
#contact-form label {
    display:block;
}
 
#contact-form .required {
    font-weight:bold;
    color:#F00;    
}
 
#contact-form #submit-button {
    width: 100px;
    color:#FFF;
    border:none;
    display:block;
    float:right;
    margin-bottom:10px;
    margin-right:10px;
    background-color:#ffc000;
    -moz-border-radius:10px;
    -webkit-border-radius:10px;
    border-radius:10px;
}
 
#contact-form #submit-button:hover {
    background-color: #A6CFDD;
}
 
#contact-form #submit-button:active {
    position:relative;
    top:1px;
}
 
#contact-form #loading {
    width:32px;
    height:32px;
    background-image:url(../img/loading.gif);
    display:block;
    position:absolute;
    right:130px;
    bottom:16px;
    display:none;
}
 
#errors {
    border:solid 1px #E58E8E;
    padding:10px;
    margin:25px 0px;
    display:block;
    width:437px;
    -webkit-border-radius:8px;
    -moz-border-radius:8px;
    border-radius:8px;
    background:#FFE6E6 url(../img/cancel_48.png) no-repeat 405px center;
    display:none;
}
 
#errors li {
    padding:2px;
    list-style:none;    
}
 
#errors li:before {
    content: ' - ';    
}
 
#errors #info {
    font-weight:bold;
}
 
#errors #info:before {
    content: '';    
}
 
#success {
    border:solid 1px #83D186;
    padding:25px 10px;
    margin:25px 0px;
    display:block;
    width:437px;
    -webkit-border-radius:8px;
    -moz-border-radius:8px;
    border-radius:8px;
    background:#D3EDD3 url(../img/accepted_48.png) no-repeat 405px center;
    font-weight:bold;
    display:none;
}
 
#errors.visible, #success.visible {
    display:block;    
}
 
#req-field-desc {
    font-style:italic;
}

/* Remove box shadow firefox, chrome and opera put around required fields. It looks rubbish. */
input:required, textarea:required {
    -moz-box-shadow:none;
    -webkit-box-shadow:none;
    -o-box-shadow:none;
    box-shadow:none;
}
 
/* Normalize placeholder styles */
 
/* chrome, safari */
::-webkit-input-placeholder {
    color:#CCC;
    font-style:italic;
}
 
/* mozilla */
input:-moz-placeholder, textarea:-moz-placeholder {
    color:#CCC;
    font-style:italic;
}
 
/* ie (faux placeholder) */
input.placeholder-text, textarea.placeholder-text  { 
    color:#CCC;
    font-style:italic;
}